Solaris 7 OnLine Release Notes (SUNWrdm)

64-Bit Solaris Issues

This section describes installation-related 64-bit Solaris issues.

SPARC only: Sun UltraSPARCTM System (sun4u) May Need Boot PROM Upgrade

If you want to run the 64-bit Solaris operating environment on an UltraSPARC system, you may need to upgrade its Open Boot PROM firmware. The Solaris 7 installation programs have a new checkbox for adding 64-bit support. This new 64-bit support is selected by default when installing on Sun UltraSPARC systems.

Note -

If you choose to run the 32-bit Solaris operating environment on any Sun or UltraSPARC system, the Open Boot PROM upgrade is not needed.

The following table lists the UltraSPARC (sun4u) systems that are affected and the minimum firmware versions needed. "System type" is the equivalent of the output of the uname -i command. You can tell what firmware version you are currently running by using the prtconf -V command.

System Type from uname -i

Minimum Firmware Version from prtconf -V











Note -

If the system is not listed in the above table, it may not need a Boot PROM upgrade.

To upgrade your UltraSPARC system's Open Boot PROM, contact the Sun representative from whom you received this kit and request the sun4u Open Boot PROM upgrade kit.

Note -

Sun Microsystems, Inc. kits already include the Boot PROM upgrade components.